Package net.rubygrapefruit.platform

# Interface FileWatch

public interface FileWatch
A source for file change events.

## Method Summary

Modifier and Type
Method
Description
`void`
`close()`
Stops watching for changes.
`void`
`nextChange()`
Blocks until the next change occurs, or this watch is closed.

## Method Details

### nextChange

void nextChange() throws NativeException
Blocks until the next change occurs, or this watch is closed.

Throws:
  `NativeException` - On some failure.
  `ResourceClosedException` - When this file watch is closed.

### close

void close() throws NativeException
Stops watching for changes. Any thread blocked in `nextChange()` will receive a `ResourceClosedException`.

Throws:
  `NativeException`